RESTinio

Public Member Functions | Private Attributes | List of all members
restinio::path2regex::impl::string_view_buffer_storage_appender_t< Container > Class Template Referencefinal

Appender for names to a given buffered string. More...

`#include <path2regex.hpp>`

## Public Member Functions
| string_view_buffer_storage_appender_t (std::size_t reserve_size, Container &buffer)
string_view_t | append_name (const std::string &name)
| Appends a given name to buffer, and returns a string view object within the context of a buffer. More...
std::size_t | append_name (std::size_t i) const
| A stub for indexed paramaters. More...

## Private Attributes
Container & | m_buffer

## Detailed Description

template<typename Container>
class restinio::path2regex::impl::string_view_buffer_storage_appender_t< Container >

Appender for names to a given buffered string.

Definition at line 311 of file path2regex.hpp.

## Constructor & Destructor Documentation

## ◆ string_view_buffer_storage_appender_t()

template<typename Container >

restinio::path2regex::impl::string_view_buffer_storage_appender_t< Container >::string_view_buffer_storage_appender_t | ( | std::size_t | reserve_size,
|  | Container & | buffer
| ) |  |
| inline

Definition at line 314 of file path2regex.hpp.

## Member Function Documentation

## ◆ append_name() [1/2]

template<typename Container >

string_view_t restinio::path2regex::impl::string_view_buffer_storage_appender_t< Container >::append_name | ( | const std::string & | name | ) |
| inline

Appends a given name to buffer, and returns a string view object within the context of a buffer.

Definition at line 324 of file path2regex.hpp.

## ◆ append_name() [2/2]

template<typename Container >

std::size_t restinio::path2regex::impl::string_view_buffer_storage_appender_t< Container >::append_name | ( | std::size_t | i | ) | const
| inline

A stub for indexed paramaters.

Definition at line 344 of file path2regex.hpp.

## Member Data Documentation

## ◆ m_buffer

template<typename Container >

Container& restinio::path2regex::impl::string_view_buffer_storage_appender_t< Container >::m_buffer
| private

Definition at line 350 of file path2regex.hpp.

The documentation for this class was generated from the following file:

- restinio/path2regex/path2regex.hpp